Component({
  props: {
    value: '',
    onChange: () => {},
    onConfirm: () => {}
  },
  data: {},

  didMount() {},

  methods: {
    onInput({
      detail: {
        value
      }
    }) {
      this.props.onChange(value);
    },

    onClear() {
      this.props.onChange('');
    },

    onConfirm({
      detail: {
        value
      }
    }) {
      this.props.onConfirm(value);
    }

  }
});